local function onUpdate(self,elapsed)
    self.time = (self.time or 8)-elapsed
    local alpha = self:GetAlpha()
    if self.time > 0 then return end
    while self.time <= 0 do
        self.time = self.time+0.05
        alpha = alpha-0.05
    end
    if alpha <= 0 then
        self:Hide()
    else
        self:SetAlpha(alpha)
    end
end
local textFrame = CreateFrame("Frame","MOD_TextFrame",UIParent)
textFrame:SetSize(600,600)
textFrame:Hide()
textFrame:SetScript("OnUpdate",onUpdate)
local fontString = textFrame:CreateFontString(nil,"BACKGROUND","PVPInfoTextFont")
fontString:SetTextHeight(60)
textFrame.text = fontString
textFrame.text:SetAllPoints()
textFrame:SetPoint("CENTER",0,0)

function textFrame:message(message)
    self.text:SetText(message)
    self:SetAlpha(1)
    self.time = 8
    self:Show()
end

local frame = CreateFrame("FRAME", "FooAddonFrame");
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
local function eventHandler(self, event, ...)

    local _, type, _, _, _, _, _, destGUID, destName, _, _ = select(1, ...)
    if type == "UNIT_DIED" then
        _, _, _, _, _, name, _ = GetPlayerInfoByGUID(destGUID)
        if name ~= nil then
            role = UnitGroupRolesAssigned(name)
            if role == "HEALER" or role == "TANK" then
                PlaySoundFile("Sound\\Interface\\RaidWarning.wav")
                textFrame:message(name .. " DIED!!!")
            end
        end

    end
end
frame:SetScript("OnEvent", eventHandler);
